Subject: [Teas] Status update on draft-ietf-teas-yang-sr-te-topo

From: Xufeng Liu <[email-masked]>
Date: Fri, 5 Nov 2021 16:40:17 -0400

Status update on draft-ietf-teas-yang-sr-te-topo

Current Status:

  *  Received further valuable comments from Tom Petch.
  *  Received valuable comments from Kenichi Ogaki.
  *  Posted updated version -11, to address the comments above. Added
     a data example for SR MPLS TE topology instance.

Open Issues:

  *  Authors are continuously addressing comments, including working
     with Tom and Kenichi to close the comments received.

Next Steps:

  *  Follow-up to resolve comments.
  *  Welcome further reviews and suggestions.
  *  Working Group Last Call after completing the above.

Thanks,
- Xufeng

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Sat, 6 Nov 2021 06:43:57 +0000

Hi Xufeng,

Thanks for accommodating our requests.

Although this may be not necessarily described in this draft, our expectations are not only TE-enabled topology, but also abstract TE topology with SR-TE, e.g. draft-ietf-teas-actn-vn-yang section 7.2.
So, could you additionally depict an abstract node including D1, D2 and D3 with external links, for example?

The other comments to Appendix B.1 are as follows:

1. If the link between D1 and D2 is TE link, the termination-point, e.g. 1-0-1, should be also TE extended? i.e. with te-tp-id, te as defined in RFC8795 Sec. 3.3-3.5.

2. As above wrote, we prefer connectivity-matrices not for a basic TE node, e.g. D1, inside, but for an abstract node. It's useful for users to clarify how to express the explicit route for SR-TE path with node/te/te-node-attributes/connectivity-matrices/underlay/primary-path.

Thanks,
Kenichi

Get Outlook for iOS<https://aka.ms/o0ukef>
________________________________
From: Teas <[email-masked]> on behalf of Xufeng Liu <[email-masked]>
Sent: Saturday, November 6, 2021 5:40 AM
To: TEAS WG
Subject: [Teas] Status update on draft-ietf-teas-yang-sr-te-topo

Current Status:

Open Issues:

Next Steps:

Thanks,
- Xufeng